// Orion Capsule - disallows transfer through the bottom
@PART[SWOrion]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
		impassablenodes = bottom
	}
}

// 0.9375m NASA Docking System (NDS) Docking Port
@PART[SWNDSPort]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
		passableDockingNodeType = apasSize1
	}
}

// Altair Ascent Stage
@PART[SWAltairAscent]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
	}
}

// Altair Decoupler - Necessary because the part contains the EVA airlock
@PART[SWAltairDecoupler]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
		impassablenodes = bottom
	}
}

// Destiny Science Lab Station Module
@PART[SWDensity]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
	}
}

// Harmony Node Station Module
@PART[SWHarmony]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
	}
}

// Odyssey Airlock Module
@PART[SWOdysseyAirlock]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
	}
}

// Providence Habitation Module
@PART[SWProvidence]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
	}
}

// Unity Node Module
@PART[SWUnity]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
	}
}

// 1.25m Common Berthing Mechanism (CBM)
@PART[SWCBM]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
		passableDockingNodeType = size1
	}
}

// Pressurized Mating Adapter (PMA)
@PART[SWPMA]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
	}
}

// Shuttle Docking Airlock
@PART[SWShuttleDocking]:NEEDS[ConnectedLivingSpace]
{
	MODULE
	{
		name = ModuleConnectedLivingSpace
		passable = true
	}
}